Loading...
Searching...
No Matches
network Namespace Reference

## Classes

class | _Fake
| File wrapper which can be used in place of a network.Socket.
class | Socket
| Connection object. More...
class | Server
| Listen on a network port and accept connections. More...
class | _fd_wrap

## Functions

| set_log_output (file)
| Change target for log().
| log (*message, filename=None, line=None, funcname=None, depth=0)
| Log a message.
| lookup (service)
| Convert int or str with int or service to int port.
| wrap (i, o=None)
| Wrap two files into a fake socket.
| iteration (block=False)
| Do a single iteration of the main loop.
| fgloop ()
| Wait for events and handle them.
| bgloop ()
| Like fgloop, but forks to the background.
| endloop (force=False)
| Stop a loop that was started with fgloop() or bgloop().
| add_read (fd, cb, error=None)
| add_write (fd, cb, error=None)
| add_timeout (abstime, cb)
| add_idle (cb)
| remove_read (handle)
| remove_write (handle)
| remove_timeout (handle)
| remove_idle (handle)

## Variables

str | modulename = 'network'
| default
bool | have_ssl = True
str | makestr = lambda x(x, 'utf8', 'replace') if isinstance(x, bytes) else x
| log_output = sys.stderr
bool | log_date = False